<script setup lang="ts">
import type { SelectValueProps } from "reka-ui";
import type { HTMLAttributes } from "vue";
import { reactiveOmit } from "@vueuse/core";
import { SelectValue, useForwardProps } from "reka-ui";

interface Props extends SelectValueProps {
  class?: HTMLAttributes["class"];
}

const props = defineProps<Props>();
const delegatedProps = reactiveOmit(props, "class");
const forwarded = useForwardProps(delegatedProps);
</script>

<template>
  <SelectValue data-slot="select-value" v-bind="forwarded" :class="props.class">
    <slot />
  </SelectValue>
</template>
